opensaml::saml2p::SAML2SOAPClient Class Reference

Specialized SOAPClient for SAML 2.0 SOAP binding. More...

`#include <saml/saml2/binding/SAML2SOAPClient.h>`

Collaboration diagram for opensaml::saml2p::SAML2SOAPClient:
[legend]

## Public Member Functions

| SAML2SOAPClient (SOAPClient &soaper, bool fatalSAMLErrors=true)
| Constructor.
virtual void | sendSAML (RequestAbstractType *request, const char *from, saml2md::MetadataCredentialCriteria &to, const char *endpoint)
| Specialized method for sending SAML 2.0 requests.
virtual StatusResponseType * | receiveSAML ()
| Specialized method for receiving SAML 2.0 responses.

## Protected Member Functions

virtual bool | handleError (const Status &status)
| Handling of SAML errors.

## Protected Attributes

SOAPClient & | m_soaper
| SOAP client object.
bool | m_fatal
| Flag controlling default error handler.

## Detailed Description

Specialized SOAPClient for SAML 2.0 SOAP binding.

## Constructor & Destructor Documentation

## SAML2SOAPClient()

opensaml::saml2p::SAML2SOAPClient::SAML2SOAPClient | ( | SOAPClient & | soaper,
|  | bool | fatalSAMLErrors = true )

Constructor.

Parameters

  soaper | reference to SOAPClient object to use for call
  fatalSAMLErrors | true iff a non-successful SAML Status code should be fatal

## Member Function Documentation

## handleError()

virtual bool opensaml::saml2p::SAML2SOAPClient::handleError | ( | const Status & | status | ) |

protected virtual

Handling of SAML errors.

Parameters

  status | SAML Status received by client

Returns
  true iff the error should be treated as a fatal error

## receiveSAML()

virtual StatusResponseType * opensaml::saml2p::SAML2SOAPClient::receiveSAML | ( |  | ) |

virtual

Specialized method for receiving SAML 2.0 responses.

The SOAP layer will be evaluated automatically, and the attached policy will be applied to the Response.

The caller is responsible for freeing the response.

Returns
  SAML 2.0 response, after SecurityPolicy has been applied

## sendSAML()

virtual void opensaml::saml2p::SAML2SOAPClient::sendSAML | ( | RequestAbstractType * | request,
|  | const char * | from,
|  | saml2md::MetadataCredentialCriteria & | to,
|  | const char * | endpoint )

virtual

Specialized method for sending SAML 2.0 requests.

The SOAP layer will be constructed automatically.

The request will be freed by the client object regardless of the outcome.

Parameters

  request | SAML request to send
  to | peer to send message to, expressed in metadata criteria terms
  from | identity of sending application
  endpoint | URL of endpoint to recieve message

The documentation for this class was generated from the following file:

- saml/saml2/binding/SAML2SOAPClient.h